Package org.apache.tools.ant.taskdefs.optional.net

## Class RExecTask.RExecSubTask

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask

- Direct Known Subclasses:
    `RExecTask.RExecRead`, `RExecTask.RExecWrite`
  Enclosing class:
    RExecTask

      public class RExecTask.RExecSubTask
      extends java.lang.Object

  This class is the parent of the Read and Write tasks. It handles the common attributes for both.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `taskString` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RExecSubTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addText​(java.lang.String s)` | the message as nested text
    `void` | `execute​(RExecTask.AntRExecClient rexec)` | Execute the subtask.
    `void` | `setString​(java.lang.String s)` | the message as an attribute

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### taskString

          protected java.lang.String taskString

  - ### Constructor Detail

    - #### RExecSubTask

          public RExecSubTask()

  - ### Method Detail

    - #### execute

          public void execute​(RExecTask.AntRExecClient rexec)
                       throws BuildException

      Execute the subtask.
      Parameters:
        `rexec` - the client
      Throws:
        `BuildException` - always as it is not allowed to instantiate this object

    - #### addText

          public void addText​(java.lang.String s)

      the message as nested text
      Parameters:
        `s` - the nested text

    - #### setString

          public void setString​(java.lang.String s)

      the message as an attribute
      Parameters:
        `s` - a `String` value